﻿@model RealEstate.Database.Entity.Property

@{
    ViewBag.Title = "ViewProperty";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<h2>Property Details</h2>
<hr />





<div class="row mt-2 bg">
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Property Title:</label></div>
            <div class="col-lg-4">@Model.Title</div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Project Name:</label></div>
            <div class="col-lg-8">@Model.MA_Project.ProjectName</div>
        </div>
    </div>
</div>


<div class="row mt-2 bg">
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Total BHK:</label></div>
            <div class="col-lg-4">@Model.MA_ConfigFilter.FilterValue</div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Property Status:</label></div>
            <div class="col-lg-8">@Model.MA_ConfigFilter4.FilterValue</div>
        </div>
    </div>
</div>


<div class="row mt-2 bg">
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Property Furnishing:</label></div>
            <div class="col-lg-4">@Model.MA_ConfigFilter2.FilterValue</div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Property Facing:</label></div>
            <div class="col-lg-8">@Model.MA_ConfigFilter1.FilterValue</div>
        </div>
    </div>
</div>

<div class="row mt-2 bg">
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>State:</label></div>
            <div class="col-lg-4">@Model.MA_Region.StateName</div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Address:</label></div>
            <div class="col-lg-8">@Model.Address</div>
        </div>
    </div>
</div>

<div class="row mt-2 bg">
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>PIN:</label></div>
            <div class="col-lg-4">@Model.PinCode</div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Price:</label></div>
            <div class="col-lg-8">RS/- @Model.Price</div>
        </div>
    </div>
</div>

<div class="row mt-2 bg">
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Cover Area:</label></div>
            <div class="col-lg-4">@Model.Cover_Area</div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Carpet Area:</label></div>
            <div class="col-lg-8">@Model.Carpet_Area</div>
        </div>
    </div>
</div>

<div class="row mt-2 bg">
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Floor:</label></div>
            <div class="col-lg-4">@Model.CurrentFloor out of @Model.TotalFloor</div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Maintenance Charge:</label></div>
            <div class="col-lg-8">RS/- @Model.MaintenanceCharge</div>
        </div>
    </div>
</div>

<div class="row mt-2 bg">
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Booking Amount:</label></div>
            <div class="col-lg-4">RS/- @Model.BookingAmount</div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Amenities:</label></div>
            <div class="col-lg-8">@Model.Amenities</div>
        </div>
    </div>
</div>

<div class="row mt-2 bg">
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>IsApproved:</label></div>
            <div class="col-lg-4">@Model.IsApproved</div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="form-group">
            <div class="col-lg-4"><label>Created By:</label></div>
            <div class="col-lg-8">@Model.MA_User.Name</div>
        </div>
    </div>
</div>


@if (Model.Property_Images.Count > 0)
{
    <div class="row mt-5 bg">
        <div class="col-lg-12">

            @*@foreach (var img in Model.Property_Images)
                {
                <div class="card" style="background-repeat:no-repeat;background-position: center;background-image:url(/Uploads/PropertyImages/@img.ImageName);background-size: cover; width:10em;height:10em;">
                </div>
                }*@

            <div class="image-gallery">
                <div class="owl-carousel owl-theme patient-images carouselList">
                    @foreach (var img in Model.Property_Images)
                    {
                        <div class="item">
                            <img alt="@img.ImageName" src="~/Uploads/PropertyImages/@img.ImageName" height="200" width="200">
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
}




<div class="row mt-5 bg">
    <div class="col-lg-12">
        <div class="form-group">
            <span style="margin-left:35em">@Html.ActionLink("Edit", "AddEditProperty", new { id = Model.Id }, new { @class = "btn btn-primary" })</span>
            <span>@Html.ActionLink("Cancel", "Index", null, new { @class = "btn btn-danger" })</span>
        </div>
    </div>
</div>


@section scripts{
    <script type="text/javascript">
        $(function () {
            $('.owl-carousel').owlCarousel({
                loop: false,
                autoWidth: false,
                margin: 10,
                nav: false,
                navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
                responsive: {
                    0: {
                        items: 4
                    },
                    600: {
                        items: 4
                    },
                    1000: {
                        items: 4
                    }
                }
            })
        });
    </script>

}